API ReferenceOpenings
List openings
List all openings account-wide or for a specific provider.
Openings are sorted by date in ascending order (oldest first).
Authorization
authorization AuthorizationBearer <token>
In: header
Query Parameters
page?integer
Page number
Range
1 <= valuepage_size?integer
Number of items per page
Range
1 <= valueprovider_ids?string
Filter by provider ID(s). Accepts a single ID or comma-delimited list of IDs.
location_ids?string
Filter by location ID(s). Accepts a single ID or comma-delimited list of IDs.
date?string
Only return openings on the specified date.
Format
datedate_min?string
Only return openings on or after the specified date.
Format
datedate_max?string
Only return openings on or before the specified date.
Format
dateResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/openings"{ "data": [ { "created_at": "2025-02-17T17:49:19Z", "date": "2025-06-15", "end_time": "17:00", "id": "opn_d025a96ac0c6", "object": "opening", "provider_id": "prov_d025a96ac0c6", "start_time": "09:00", "time_zone": "America/New_York", "title": "Extra clinic hours", "updated_at": "2025-02-17T17:49:19Z" } ], "meta": { "current_page": 1, "page_size": 10, "total_count": 50, "total_pages": 5 }}